View Issue Details

IDProjectCategoryView StatusLast Update
0003775Talerauditorpublic2017-06-06 14:18
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0003775: need to implement basic auditing
DescriptionBasic auditing should check the signatures and calculate the balances based on /withdraw, /deposit and /refresh requests, and check against the SEPA transactions (incoming and outgoing).
TagsNo tags attached.

Relationships

parent of 0003989 closedChristian Grothoff have ongoing safety/sanity checks 
parent of 0004709 closedMarcello Stanisci auditor database functions in plugin_exchangedb_postgres.c must be implemented 
parent of 0004708 closedtg database functions in plugin_auditordb_postgres.c must be implemented 
child of 0003887 closedChristian Grothoff handle "emergency" where denomination key is overdrawn (/payback) 

Activities

Christian Grothoff

2017-03-19 06:52

manager   ~0011947

taler-auditor implements all of the core functionality now, but it needs to be tested.

Christian Grothoff

2017-03-20 04:38

manager   ~0011956

Using the database from the exchange-lib test (having modified the test to not drop at the end), I now get:

$ ~/bin/taler-auditor -c t.conf -m 98NJW3CQHZQGQXTY3K85K531XKPAPAVV4Q5V8PYYRR00NJGZWNVG
* Total escrow balance to be held for reserves is EUR:0
* Total withdraw fees are at EUR:0.06
* Total aggregation fees are at EUR:0.1
* Final balance for all denominations is EUR:5.52
* Risk from active operations is EUR:47.7
* Deposit fee profits are EUR:0.12
* Melt fee profits are EUR:0.06
* Refund fee profits are EUR:0.02

So yes, victory ;-).

Last related commit is 3186dbf..ab0286f

Issue History

Date Modified Username Field Change
2015-04-13 03:20 Christian Grothoff New Issue
2015-04-13 03:20 Christian Grothoff Status new => confirmed
2015-04-13 03:20 Christian Grothoff Target Version 0.3 => 0.2
2015-06-21 10:50 Christian Grothoff Target Version 0.2 => 0.3
2015-09-19 20:54 Christian Grothoff Assigned To => Florian Dold
2015-09-19 20:54 Christian Grothoff Status confirmed => assigned
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004322
2016-09-26 15:21 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2016-09-26 15:22 Christian Grothoff Relationship added parent of 0003989
2016-09-26 15:22 Christian Grothoff Relationship added parent of 0003887
2016-10-09 01:43 Christian Grothoff Relationship added parent of 0004709
2016-10-09 01:43 Christian Grothoff Relationship added parent of 0004708
2017-03-18 23:41 Christian Grothoff Relationship deleted parent of 0003887
2017-03-18 23:41 Christian Grothoff Relationship added child of 0003887
2017-03-19 06:52 Christian Grothoff Note Added: 0011947
2017-03-20 04:38 Christian Grothoff Note Added: 0011956
2017-03-20 04:38 Christian Grothoff Status assigned => resolved
2017-03-20 04:38 Christian Grothoff Resolution open => fixed
2017-03-20 04:38 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed